org.apache.torque.generator.control.outputtype

## Class XmlOutputType

- java.lang.Object
- - org.apache.torque.generator.control.outputtype.XmlOutputType

- All Implemented Interfaces:
    OutputType

      public class XmlOutputType
      extends Object
      implements OutputType

  The output type for XML output.
  Version:
    $Id: $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEY` The unique key of the output type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlOutputType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommentEnd(String lineBreak)` Returns the end of a comment.
    `String` | `getCommentStart(String lineBreak)` Returns the start of a comment.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY

          public static final String KEY

      The unique key of the output type.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XmlOutputType

          public XmlOutputType()

  - ### Method Detail

    - #### getCommentStart

          public String getCommentStart(String lineBreak)

      Returns the start of a comment. It is assumed that the comment itself does not contain line breaks.
      Specified by:
        `getCommentStart` in interface `OutputType`
      Parameters:
        `lineBreak` - the line break for the current output, not null.
      Returns:
        the String which starts a comment, not null.

    - #### getCommentEnd

          public String getCommentEnd(String lineBreak)

      Returns the end of a comment. It is assumed that the comment itself does not contain line breaks.
      Specified by:
        `getCommentEnd` in interface `OutputType`
      Parameters:
        `lineBreak` - the line break for the current output, not null.
      Returns:
        the String which starts a comment, not null.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.